|  | Home | Documentation | saml1__ConditionsType::__saml1__union_ConditionsType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__ConditionsType::__saml1__union_ConditionsType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__ConditionsType::__saml1__union_ConditionsType:
[legend]

## Public Attributes
struct saml1__AudienceRestrictionConditionType * | saml1__AudienceRestrictionCondition
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AudienceRestrictionCondition. More...
struct saml1__DoNotCacheConditionType * | saml1__DoNotCacheCondition
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"DoNotCacheCondition. More...
struct saml1__ConditionAbstractType * | saml1__Condition
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Condition. More...

## Member Data Documentation

struct saml1__AudienceRestrictionConditionType* saml1__ConditionsType::__saml1__union_ConditionsType::saml1__AudienceRestrictionCondition

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AudienceRestrictionCondition.

Choice of element (one of multiple choices).

struct saml1__ConditionAbstractType* saml1__ConditionsType::__saml1__union_ConditionsType::saml1__Condition

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Condition.

Choice of element (one of multiple choices).

struct saml1__DoNotCacheConditionType* saml1__ConditionsType::__saml1__union_ConditionsType::saml1__DoNotCacheCondition

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"DoNotCacheCondition.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml1.h